# Uses of Interface
org.eclipse.ui.navigator.ICommonActionExtensionSite

Packages that use ICommonActionExtensionSite
Package
Description
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.

## Uses of ICommonActionExtensionSite in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that return ICommonActionExtensionSite
Modifier and Type
Method
Description
`ICommonActionExtensionSite`
SynchronizationActionProvider.`getExtensionSite()`
Return the extension site for this action provider.
Methods in org.eclipse.team.ui.mapping with parameters of type ICommonActionExtensionSite
Modifier and Type
Method
Description
`void`
SynchronizationActionProvider.`init(ICommonActionExtensionSite site)`

## Uses of ICommonActionExtensionSite in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return ICommonActionExtensionSite
Modifier and Type
Method
Description
`protected final ICommonActionExtensionSite`
CommonActionProvider.`getActionSite()`
Methods in org.eclipse.ui.navigator with parameters of type ICommonActionExtensionSite
Modifier and Type
Method
Description
`void`
CommonActionProvider.`init(ICommonActionExtensionSite aSite)`
Initialize the current ICommonActionProvider with the supplied information.

## Uses of ICommonActionExtensionSite in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources with parameters of type ICommonActionExtensionSite
Modifier and Type
Method
Description
`void`
GoIntoActionProvider.`init(ICommonActionExtensionSite anActionSite)`